# Change this workspace's watchlist and settings

URL: https://docs.fxapis.com/api-reference/marketlabs/change-this-workspaces-watchlist-and-settings

> Change this workspace's watchlist and settings.

`PATCH https://api.fxapis.com/v1/marketlabs/settings`

Authentication: `Authorization: Bearer <API key>`.

#### Request body (application/json, required)

Type: object

#### Responses

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `409`
- `503`

Failures return `{ "error": { "code", "message" } }`; every code is listed at https://docs.fxapis.com/errors.

#### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object | yes |  |
| `requestId` | string | yes |  |